
/**************************************************************************
**  (c) Copyright 2002, Andromeda Technology & Automation
** This is free software; you can redistribute it and/or modify it under the
** terms of the GNU General Public License, see the file COPYING.
***************************************************************************
** MODULE INFORMATION *
***********************
**      FILE NAME      : gnucomo.h
**      SYSTEM NAME    : 
**      VERSION NUMBER : $Revision: 1.3 $
**
**  DESCRIPTION      :  
**
**  EXPORTED OBJECTS : 
**  LOCAL    OBJECTS : 
**  MODULES  USED    :
***************************************************************************
**  ADMINISTRATIVE INFORMATION *
********************************
**      ORIGINAL AUTHOR : Arjen Baart - arjen@andromeda.nl
**      CREATION DATE   : Jul 24, 2002
**      LAST UPDATE     : 
**      MODIFICATIONS   : 
**************************************************************************/

/*****************************
   $Log: gnucomo_config.h,v $
   Revision 1.3  2002/12/06 22:30:50  arjen
   Added new arguments to gnucomo_config::Database(): user and password.
   If empty, default values are taken from the config file.

   Revision 1.2  2002/11/09 08:04:27  arjen
   Added a reference to the GPL

   Revision 1.1  2002/10/05 10:25:49  arjen
   Creation of gcm_input and a first approach to a web interface

*****************************/

/* static const char *RCSID = "$Id: gnucomo_config.h,v 1.3 2002/12/06 22:30:50 arjen Exp $"; */

#include <AXE/configuration.h>

/*
///////////////////////////////////////////////////////////////////////////
//  NAME           : gnucomo_config
//  BASECLASS      : configuration
//  MEMBERS        :
//  OPERATORS      :
//  METHODS        : Database - Obtain the database access string
//
//  DESCRIPTION    : 
//
//  RELATIONS      :
//  SEE ALSO       :
//  LAST MODIFIED  : Nov 21, 2002
///////////////////////////////////////////////////////////////////////////
*/

class gnucomo_config : public configuration
{

public:

   String   Database(String usr="", String pw="");  // Return the database access string.
};

